View Issue Details

IDProjectCategoryView StatusLast Update
0004995SymmetricDSImprovementpublic2021-06-09 00:00
Reporteremiller Assigned Toemiller  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.13.0 
Target Version3.13.0Fixed in Version3.13.0 
Summary0004995: Upgrade Gradle to latest possible version
DescriptionGradle should be upgraded to the latest possible version. Ideally, it should be updated to the latest edition of 7.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.13 135256ac

2021-05-19 19:21:02

evan-miller-jumpmind


Committer: GitHub Details Diff
0004995: Upgraded Gradle to 5.6.4 (0000158) Affected Issues
0004995
mod - symmetric-assemble/build.gradle Diff File
mod - symmetric-assemble/common.gradle Diff File
mod - symmetric-assemble/gradle/wrapper/gradle-wrapper.jar Diff File
mod - symmetric-assemble/gradle/wrapper/gradle-wrapper.properties Diff File
mod - symmetric-assemble/gradlew Diff File
mod - symmetric-assemble/gradlew.bat Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2As400TriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/generic/GenericSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/hana/HanaSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/hana/HanaTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/ingres/IngresSqlTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/ingres/IngresSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSql2008SymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSql2008TriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSql2016SymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSql2016TriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/sqlite/SqliteJdbcSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/tibero/TiberoSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/tibero/TiberoTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/BigQueryDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/BulkDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/SnowflakeBulkDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/TeradataBulkDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/BigQueryBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/CloudBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/HbaseDatabaseWriter.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/JdbcBatchBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/SnowflakeBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/TeradataBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/main/resources/symmetric-modules.properties Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/SymmetricPushClient.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ContextConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/config/ITableResolver.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/ISoftwareUpgradeListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/SoftwareUpgradeListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/ext/IOutgoingBatchFilter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/ext/IPurgeListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/IFileConflictResolver.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbCompareConfig.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/stage/BatchStagingManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/AbstractDataLoaderFactory.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/DefaultReloadGenerator.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/IClientReloadListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/IReloadGenerator.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/SQLDatabaseWriterFilter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/BatchSummary.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/ProcessType.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/TableReloadStatus.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/monitor/BatchErrorWrapper.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/monitor/MonitorTypeBlock.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/AbstractFileParsingRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/CSVRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DBFRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/TPSRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/parse/DBFException.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/parse/DBFField.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/parse/DBFReader.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/FilterCriterion.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IMailService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ClusterLockRefreshListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/statistic/NodeStatsByPeriodMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/BatchBufferedWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/NoReservationException.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/OfflineException.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/model/TriggerTest.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/route/DataGapDetectorTest.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/DataServiceTest.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/RouterServiceTest.java Diff File
mod - symmetric-core/src/test/resources/META-INF/services/symmetric-test-ext.xml Diff File
mod - symmetric-csv/src/main/java/org/jumpmind/symmetric/csv/CsvReader.java Diff File
mod - symmetric-csv/src/main/java/org/jumpmind/symmetric/csv/CsvWriter.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/AddColumnChange.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/AddForeignKeyChange.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/AddIndexChange.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/AddPrimaryKeyChange.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/AddTableChange.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/ColumnAutoIncrementChange.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/ColumnChange.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/ColumnDataTypeChange.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/ColumnDefaultValueChange.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/ColumnRequiredChange.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/ColumnSizeChange.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/IModelChange.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/ModelComparator.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/PrimaryKeyChange.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/RemoveColumnChange.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/RemoveForeignKeyChange.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/RemoveIndexChange.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/RemovePrimaryKeyChange.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/RemoveTableChange.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/TableChange.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/TableChangeImplBase.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/io/DatabaseXmlAsciiDocBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/io/DatabaseXmlUtil.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Column.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/CompressionTypes.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Database.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/ForeignKey.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/IIndex.java Diff File

Issue History

Date Modified Username Field Change
2021-05-18 19:15 emiller New Issue
2021-05-18 19:15 emiller Status new => assigned
2021-05-18 19:15 emiller Assigned To => emiller
2021-05-19 19:02 emiller Status assigned => resolved
2021-05-19 19:02 emiller Resolution open => fixed
2021-05-19 19:02 emiller Fixed in Version => 3.13.0
2021-06-09 00:00 Changeset attached => SymmetricDS 3.13 135256ac